Name: 		ClanLib
Summary: 	Clan library
Version: 	0.6.5
Release: 	1
License: 	LGPL
Group: 		System/Libraries
Packager:       linuxkid <linux@peanutlinux.org>
Source0: 	http://clanlib.org/download/files/%{name}-%{version}.tar.gz
Patch0:		%{name}.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
URL: 		http://clanlib.org
BuildRequires:  Hermes-devel DirectFB-devel

%description
The ClanLib game SDK is a library that can ease your game development 
in many ways. ClanLib has APIs for 2D graphics, 3D graphics, sound, 
network, I/O, input, GUI and resource administration. Besides, ClanLib 
reads a number of common image formats, either natively or through 
third-party libraries supported by ClanLib. ClanLib provides transparent 
support for OpenGL, so that you can use native OpenGL commands, while 
letting ClanLib handle the boring parts, such as textures, sound, and 
all the other things that are required to make a good game besides 3D 
graphics.

%package devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%patch0 -p1

%build
%configure \
    --disable-static \
    --without-static \
    --enable-x11 \
    --enable-fbdev \
    --enable-opengl \
    --disable-svgalib \
    --enable-clansound \
    --enable-network \
    --enable-asm386 \
    --enable-dyn \
    --disable-debug \
    --disable-nls
perl -pi -e 's/-O2 -mcpu=i386 -fno-strength-reduce/$RPM_OPT_FLAGS/' Setup/Unix/Makefile.conf
make clanCore
make clanDisplay
make clanApp
make clanNetwork
make clanSound
make clanMikMod
make clanVorbis
make clanGL
make clanGUI
make clanPNG
make clanJPEG
make clanTTF
make clanSmallJPEG
make strip

%install
make install installMikMod \
BIN_PREFIX=%{buildroot}%{_bindir} \
LIB_PREFIX=%{buildroot}%{_libdir} \
INC_PREFIX=%{buildroot}%{_includedir} \
TARGET_PREFIX=%{buildroot}%{_libdir}/%{name}

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%{_libdir}/*.so.*
%{_libdir}/*.so

%files devel
%defattr(-, root, root)
%{_bindir}
%{_includedir}
%{_libdir}/*.a
